2003-05-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* ==== Released 1.0.0 ====

	* configure.in: Version 1.0.0, binary age 0, interface age 0.

	* Makefile.am (EXTRA_DIST): 
	* ChangeLog.pre-1-0: pre-1.0 ChangeLog is renamed.

2003-05-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkglext/src/gdkglext_docs.xml: 
	* gtkglext/src/gtkglext_docs.xml: Updated.

2003-05-12  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gtkglext/gtkmm/gl/drawingarea.h: 
	* gtkglext/gtkmm/gl/widget.{h, cc}: Changed some method parameter
	names (config -> glconfig).

	* gdkglext/src/window.{hg, ccg}: 
	* gdkglext/src/pixmap.{hg, ccg}: Changed some method parameter
	names (config -> glconfig).

	* gdkglext/src/drawable.hg: Changed some method parameter names
	(context -> glcontext).

	* gdkglext/src/context.{hg, ccg}: Changed some method parameter
	names (drawable -> gldrawable).

2003-05-11  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gtkglextmm.spec.in: Remove lib*.la.bak files.
	Removed LDFLAGS setting.

	* configure.in: Added GTKGLEXT_REQUIRED_VERSION variable.

2003-05-10  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/Makefile.am: 
	* examples/Makefile.mingw: 
	* examples/share-lists.cc: Added new display list sharing example.

2003-05-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* tools/m4/convert_gdkglext.m4: Added conversions which are
	missing in gtkmm's convert_gdk.m4.

2003-05-05  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.99.1

	* configure.in: Bumped version. Require GtkGLExt-0.99.1.

2003-05-04  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkglext/gdkmm/gl/query.h: Include <gdk/gdkgltypes.h> instead of
	<gdk/gdkglquery.h>.

2003-04-28  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.99.0

	* configure.in: Bumped version.

	* gtkglextmm.nsi.in: Changed default installation directory.
	Fixed Uninstaller section. Output gtkglext-env.sh file.

2003-04-27  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/*.cc: Include windows.h on Win32. Don't set resize_mode
	Gtk::RESIZE_IMMEDIATE on Win32.

2003-04-26  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkglext/src/gdkglext_methods.defs (gdk_gl_context_destroy) 
	(gdk_gl_pixmap_destroy, gdk_gl_window_destroy): Added.

	* gdkglext/src/context.hg (Context): Ignore gdk_gl_context_destroy.

	* gdkglext/src/pixmap.hg (Pixmap): Ignore gdk_gl_pixmap_destroy.

	* gdkglext/src/window.hg (Window): Ignore gdk_gl_window_destroy.

2003-04-17  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Makefile.am: 
	* m4macros/Makefile.am: 
	* docs/Makefile.am: 
	* docs/reference/Makefile.am: 
	* examples/Makefile.am: Removed 'files' target which is not used.

	* build_shared/Makefile_build.am_fragment (common_ldflags): Added
	$(WIN32_LD_EXPORT_ALL_SYMBOLS) to common_ldflags.

	* configure.in: Check whether MinGW ld accepts --export-all-symbols
	option.

	* Makefile.am ($(pkgconfig_DATA)): 
	* m4macros/Makefile.am ($(m4data_DATA)): 
	* gdkglext/Makefile.am (stamp-gdkglextmm-config.h): Changed to use
	$(top_builddir)/config.status instead of ../config.status.

2003-04-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* build_shared/Makefile_build.am_fragment (install-libtool-import-lib) 
	(uninstall-libtool-import-lib, install-data-local) 
	(uninstall-local): Removed. Now MinGW import libraries are
	installed by libtool.

	* acconfig.h: Removed.

	* m4macros/cxx_std.m4: Added AC_DEFINE() descriptions.

	Now use new versions of GNU autotools.
	
	  - autoconf 2.54 or above
	  - automake 1.7 or above
	  - libtool 1.5 or above

	* autogen.sh: Use libtool-1.5 and automake-1.7.
	* configure.in: Use autoconf 2.54 or above.
	* Makefile.am: Use automake-1.7.

2003-03-19  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in: 
	* Makefile.am: 
	* gtkglextmm.nsi.in: Added NSIS script for Win32 binary installer.

2003-03-17  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.7.1

2003-03-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/shapes.cc (View::on_button_press_event): Redraw if
	animation is turned off.

2003-03-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/*.cc: Set top-level window's resize_mode to
	Gtk::RESIZE_IMMEDIATE and reallocate_redraws to TRUE.

	* autogen.sh: Added libtoolize --force.

2003-03-04  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkglext/src/config.{hg, ccg}: Don't use _WRAP_METHOD() for
	multihead-specific methods.

	* gdkglext/src/window.{hg, ccg}: Wrap gdk_window_*() functions.

	* gdkglext/src/pixmap.{hg, ccg}: Wrap gdk_pixmap_*() functions.

	* gdkglext/src/drawable.{hg, ccg}: Wrap gdk_gl_draw_*() functions.

2003-03-03  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gtkglext/gtkmm/gl/drawingarea.h: Use Widget as base class.

	* gtkglext/gtkmm/gl/widgetbase.{h, cc}: Removed.

	* gtkglext/gtkmm/gl/widget.h: WidgetBase is merged into Widget.

2003-03-01  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/shapes.{h, cc}: 
	* examples/logo.{h, cc}: 
	* examples/gears.cc: Use Gtk::GL::DrawingArea widget.

	* examples/simple-darea.cc: Added new Gtk::GL::DrawingArea
	example.

	* gtkglext/gtkmm/gl/drawingarea.h: 
	* gtkglext/gtkmm/gl/drawingarea.cc: Added new Gtk::GL::DrawingArea
	widget to simplify programmers' work.

	* examples/*.{h,cc}: Use Gtk::GL::WidgetBase.

	* gtkglext/gtkmm/gl/widgetbase.h: 
	* gtkglext/gtkmm/gl/widgetbase.cc: Added WidgetBase base class for
	creating the OpenGL-capable widgets.

	* gtkglext/gtkmm/gl/widget.h: 
	* gtkglext/gtkmm/gl/widget.cc: Modified to restrict the
	instantiation of Widget class.

	* gdkglext/gdkmm/gl/font.h: 
	* gdkglext/gdkmm/gl/font.cc: Modified to restrict the
	instantiation of Font class.

2003-02-27  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Auto-generate sources using gtkmmproc.

2003-02-24  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in: Re-enabled configure to build static libraries as
	default.

2003-02-23  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* m4macros/Makefile.am: 
	* m4macros/gtkglextmm.m4: Added AM_PATH_GTKGLEXTMM_1_0 and
	AC_GTKGLEXTMM_SUPPORTS_MULTIHEAD macro for checking gtkglextmm
	library.

	* configure.in: Use m4 macros provided by GtkGLExt.

2003-01-30  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.7.0

2003-01-29  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: Added get_layer_plane(),
	get_n_aux_buffers(), and get_n_sample_buffers() methods.

	* gdkmm/gl/config.h: Removed Gdk::GL::MODE_LUMINANCE bit mask.

	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: Removed Gdk::GL::Query struct, and its static
	methods have been changed to functions in Gdk::GL namespace. For
	example, Gdk::GL::query_extension() function should be used
	instead of Gdk::GL::Query::extension().

2003-01-28  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/context.cc: 
	* gdkmm/gl/context.h: Removed GL::Context::get_colormap().

2003-01-22  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/pixmap-mixed.cc (on_configure_event): 
	* examples/pixmap.cc (on_configure_event): Modified for new
	GL::Context::create().

	* gdkmm/gl/context.h: 
	* gdkmm/gl/context.cc: glconfig argument was removed from
	GL::Context constructor.

	* examples/gears.cc: 
	* examples/logo.cc: 
	* examples/shapes.cc: Use G_PI instead of M_PI.

	* gtkmm/gl/widget.h: 
	* gtkmm/gl/widget.cc: Added Widget::create_gl_context() methods.

2003-01-09  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/query.h: 
	* gdkmm/gl/config.h: 
	* gdkmm/gl/font.h: Include defs.h.

2003-01-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gtkmm/gl/version.h.in: 
	* gdkmm/gl/version.h.in: Include defs.h.

	* gtkmm/gl/defs.h: 
	* gdkmm/gl/defs.h: Added.

2003-01-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/config.h: Fixed display mode bit mask.

2003-01-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/config.h: Added missing ConfigMode flags operators.

	* gdkmm/gl/tokens.h: 
	* gdkmm/gl/tokens.cc: Cleanup.

2003-01-07  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/tokens.h: 
	* gdkmm/gl/tokens.cc: Removed tokens seemed unnecessary.

2002-12-24  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* setup-gtkglextmm.sh: Added.

2002-12-19  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.6.1

	* gdkmm/gl/window.h: 
	* gdkmm/gl/window.cc: 
	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/pixmap.cc: 
	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: 
	* gdkmm/gl/context.h: 
	* gdkmm/gl/context.cc: 
	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: Added const and non-const get_ method pairs.

	* gtkmm/gl/widget.h: 
	* gtkmm/gl/widget.cc: 
	* gdkmm/gl/window.h: 
	* gdkmm/gl/window.cc: 
	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: 
	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/pixmap.cc: 
	* gdkmm/gl/font.h: 
	* gdkmm/gl/font.cc: 
	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: 
	* gdkmm/gl/context.h: 
	* gdkmm/gl/context.cc: 
	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: Fixed constness of method arguments.

2002-12-18  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.6.0

	* examples/shapes.h: 
	* examples/shapes.cc: New geometric object rendering demo.

	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/pixmap.cc: 
	* gdkmm/gl/window.h: 
	* gdkmm/gl/window.cc: Avoid to use ambiguous `Drawable' class
	name.

	* gdkmm/gl/drawable.h: Removed unnecessary gdkmm header includes.

	* gtkmm/gl/widget.h: 
	* gtkmm/gl/widget.cc: Added Widget::get_gl_drawable().

	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/pixmap.cc: Added Pixmap::get_gl_drawable().

	* gdkmm/gl/window.h: 
	* gdkmm/gl/window.cc: Added Window::get_gl_drawable().

2002-12-17  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in: 
	* docs/reference/Makefile.am: Changed default installed
	documentation dir to ${datadir}/doc/gtkglextmm-1.0.

	* examples/Makefile.am: 
	* examples/Makefile.mingw: Added sample makefile for compiling
	example programs under MinGW/Cygwin environment.

2002-12-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: 
	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: 
	* gdkmm/gl/font.h: 
	* gdkmm/gl/font.cc: Added multihead support methods.

	* configure.in: Added --enable-warnings configure option.
	Added multihead checks.
	Generates gdkglextmm-config.h configuration header.

	* m4macros/*.m4: Updated.

2002-12-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: Added Drawable::get_current().
	Added Drawable::draw_*() geometric object rendering methods.

	* gdkmm/gl/context.h: 
	* gdkmm/gl/context.cc: Added Context::get_current().

2002-12-15  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: Added Query::get_proc_address().

	* gtkmm/gl/init.h: 
	* gtkmm/gl/init.cc: 
	* gdkmm/gl/init.h: 
	* gdkmm/gl/init.cc: Added init() and init_check().

	* configure.in : Bumped the API version to 1.0.

	* configure.in: Changed required packages' versions.
	GtkGLExt >= 0.6.0, gtkmm2 >= 2.0.0.

2002-11-15  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in: Disabled static libraries by default.

2002-10-09  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in: Added checks for win32 gcc3 "-mms-bitfields"
	option.

2002-09-01  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.5.1.

2002-08-31  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: Added gl_extension(const char*).

2002-08-19  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: Added get_size() method.

2002-08-18  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* configure.in (GTKMM_REQUIRED_VERSION, GDKMM_REQUIRED_VERSION) 
	(PANGOMM_REQUIRED_VERSION): Required gtkmm version have been
	changed to 1.3.20.

2002-08-16  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* examples/trackball.[ch]: 
	* examples/logo-model.[ch]: 
        * examples/logo-[gtk].c: 
	* examples/logo.cc: Added logo demo.

	* configure.in: C++ checks have been updated to be associated with
	gtkmm 1.3.20.

2002-08-10  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.5.0.

	* gdkmm/gl/version.h.in: 
	* gdkmm/gl/version.cc: 
	* gtkmm/gl/version.h.in: 
	* gtkmm/gl/version.cc: Added.

2002-08-09  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/window.h: 
	* gdkmm/gl/window.cc: Added get_window() method.

	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/pixmap.cc: Added get_pixmap() method.

	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: Removed get_drawable(), get_size(),
	get_colormap(), get_visual(), get_depth() methods.

	* gdkmm/gl/window.h: 
	* gdkmm/gl/private/window_p.h: 
	* gdkmm/gl/window.cc: Modified to be derived from Gdk::Drawable.

	* gdkmm/gl/pixmap.h: 
	* gdkmm/gl/private/pixmap_p.h: 
	* gdkmm/gl/pixmap.cc: Modified to be derived from Gdk::Drawable.

	* examples/simple-mixed.cc: 
	* examples/pixmap-mixed.cc: Added.

	* examples/*.cc: Examples have been rewritten.

2002-08-08  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: get_attrib() interface was changed.

	* docs/reference/Makefile.am: 
	* configure.in: Now requires gtkmm 1.3.19.
	Changed to build and install documantation.

	* gdkmm/gl/query.h: 
	* gdkmm/gl/query.cc: Added gl_extension() function.
	(version): Interface have been changed.

	* gdkmm/gl/drawable.h: 
	* gdkmm/gl/drawable.cc: Added gl_begin(), gl_end(),
	get_gl_config(), get_drawable(), get_size(), get_colormap(),
	get_visual(), get_depth() methods.

	* gdkmm/gl/context.h: 
	* gdkmm/gl/context.cc: Added get_gl_drawable(), get_gl_config(),
	get_share_list(), is_direct(), get_render_type(), get_colormap() methods.

	* gdkmm/gl/config.h:
	* gdkmm/gl/config.cc: Added get_visual(), is_rgba(), has_alpha(),
	has_depth_buffer(), has_stencil_buffer(), has_accum_buffer() methods.

	* gdkmm/gl/tokens.h: 
	* gdkmm/gl/tokens.cc: Updated.

	* gdkmm/gl/query.h: 
	* gdkmm/gl/font.h: 
	* gtkmm/gl/widget.h: Changed to struct as the initial
	implementation was.

2002-07-29  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.4.1.

	* gdkmm/gl/tokens.h: 
	* gdkmm/gl/tokens.cc: Added enum value types.

2002-07-28  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/config.h: 
	* gdkmm/gl/config.cc: Added GLUT like configuration method.

2002-07-22  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.4.0.

	* Version number is matched to the required GtkGLExt version.

	* Doxygen-based document.

	* Added RPM spec file.

	* Win32 build supported.

	* examples/gears.cc (on_drawingarea_expose_event): Fixed to be
	successfully compiled using GCC2.

2002-07-21  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* gdkmm/gl/private/*.h : 
	* gdkmm/gl/*.h : Added Doxygen related macros.

2002-07-18  Naofumi Yasufuku  <naofumi@users.sourceforge.net>

	* Version 0.0.1.

	* First alpha release.

